diff -r 11a8c8e0ad14 -r fade650e869d doc/interpreter/plot.txi
--- a/doc/interpreter/plot.txi	Tue Mar 30 21:57:59 2021 +0200
+++ b/doc/interpreter/plot.txi	Tue Mar 30 22:08:44 2021 +0200
@@ -2750,13 +2795,14 @@
 @cindex graphics toolkits
 @cindex toolkits, graphics
 
-@DOCSTRING(graphics_toolkit)
-
-@DOCSTRING(available_graphics_toolkits)
-
-@DOCSTRING(loaded_graphics_toolkits)
-
-@DOCSTRING(register_graphics_toolkit)
+@ref{XREFgraphics_toolkit, , @code{graphics_toolkit}}: Query or set the default graphics toolkit which is assigned to new
+figures.
+
+@ref{XREFavailable_graphics_toolkits, , @code{available_graphics_toolkits}}: Return a cell array of registered graphics toolkits.
+
+@ref{XREFloaded_graphics_toolkits, , @code{loaded_graphics_toolkits}}: Return a cell array of the currently loaded graphics toolkits.
+
+@ref{XREFregister_graphics_toolkit, , @code{register_graphics_toolkit}}: List TOOLKIT as an available graphics toolkit.
 
 @menu
 * Customizing Toolkit Behavior::
@@ -2772,7 +2818,8 @@
 following utility functions.  Note: Not all functions apply to every
 graphics toolkit.
 
-@DOCSTRING(gnuplot_binary)
+@ref{XREFgnuplot_binary, , @code{gnuplot_binary}}: Query or set the name of the program invoked by the plot command when
+the gra...
 
 @cindex GNUTERM
 
diff -r 11a8c8e0ad14 -r fade650e869d doc/interpreter/poly.txi
--- a/doc/interpreter/poly.txi	Tue Mar 30 21:57:59 2021 +0200
+++ b/doc/interpreter/poly.txi	Tue Mar 30 22:08:44 2021 +0200
@@ -71,9 +71,9 @@
 more elegant algorithms perform better.  The @code{polyvalm} function
 provides such an algorithm.
 
-@DOCSTRING(polyval)
+@ref{XREFpolyval, , @code{polyval}}: Evaluate the polynomial P at the specified values of X.
 
-@DOCSTRING(polyvalm)
+@ref{XREFpolyvalm, , @code{polyvalm}}: Evaluate a polynomial in the matrix sense.
 
 @node Finding Roots
 @section Finding Roots
@@ -82,28 +82,30 @@
 the companion matrix of the polynomial (see the @code{compan} function
 for a definition), and then finding its eigenvalues.
 
-@DOCSTRING(roots)
+@ref{XREFroots, , @code{roots}}: Compute the roots of the polynomial C.
 
-@DOCSTRING(polyeig)
+@ref{XREFpolyeig, , @code{polyeig}}: Solve the polynomial eigenvalue problem of degree L.
 
-@DOCSTRING(compan)
+@ref{XREFcompan, , @code{compan}}: Compute the companion matrix corresponding to polynomial coefficient
+vector C.
 
-@DOCSTRING(mpoles)
+@ref{XREFmpoles, , @code{mpoles}}: Identify unique poles in P and their associated multiplicity.
 
 @node Products of Polynomials
 @section Products of Polynomials
 
-@DOCSTRING(conv)
+@ref{XREFconv, , @code{conv}}: Convolve two vectors A and B.
 
-@DOCSTRING(convn)
+@ref{XREFconvn, , @code{convn}}: Return the n-D convolution of A and B.
 
-@DOCSTRING(deconv)
+@ref{XREFdeconv, , @code{deconv}}: Deconvolve two vectors (polynomial division).
 
-@DOCSTRING(conv2)
+@ref{XREFconv2, , @code{conv2}}: Return the 2-D convolution of A and B.
 
-@DOCSTRING(polygcd)
+@ref{XREFpolygcd, , @code{polygcd}}: Find the greatest common divisor of two polynomials.
 
-@DOCSTRING(residue)
+@ref{XREFresidue, , @code{residue}}: The first calling form computes the partial fraction expansion for the
+quotie...
 
 @node Derivatives / Integrals / Transforms
 @section Derivatives / Integrals / Transforms
@@ -122,11 +124,14 @@
 @end group
 @end example
 
-@DOCSTRING(polyder)
+@ref{XREFpolyder, , @code{polyder}}: Return the coefficients of the derivative of the polynomial whose
+coefficient...
 
-@DOCSTRING(polyint)
+@ref{XREFpolyint, , @code{polyint}}: Return the coefficients of the integral of the polynomial whose
+coefficients ...
 
-@DOCSTRING(polyaffine)
+@ref{XREFpolyaffine, , @code{polyaffine}}: Return the coefficients of the polynomial vector F after an affine
+transforma...
 
 @node Polynomial Interpolation
 @section Polynomial Interpolation
@@ -140,14 +145,16 @@
 is necessary to fit the polynomial in a least-squares sense, which just
 is what the @code{polyfit} function does.
 
-@DOCSTRING(polyfit)
+@ref{XREFpolyfit, , @code{polyfit}}: Return the coefficients of a polynomial P(X) of degree N that minimizes
+the l...
 
 In situations where a single polynomial isn't good enough, a solution
 is to use several polynomials pieced together.  The function
 @code{splinefit} fits a piecewise polynomial (spline) to a set of
 data.
 
-@DOCSTRING(splinefit)
+@ref{XREFsplinefit, , @code{splinefit}}: Fit a piecewise cubic spline with breaks (knots) BREAKS to the noisy
+data, X ...
 
 The number of @var{breaks} (or knots) used to construct the piecewise
 polynomial is a significant factor in suppressing the noise present in
@@ -353,7 +360,8 @@
 For control systems, a continuous-time delay can be modeled very simply with
 the approximant.
 
-@DOCSTRING(padecoef)
+@ref{XREFpadecoef, , @code{padecoef}}: Compute the Nth-order Pade' approximant of the continuous-time delay T
+in tra...
 
 The function, @code{ppval}, evaluates the piecewise polynomials, created
 by @code{mkpp} or other means, and @code{unmkpp} returns detailed
@@ -376,23 +384,27 @@
 @end group
 @end example
 
-@DOCSTRING(mkpp)
+@ref{XREFmkpp, , @code{mkpp}}: Construct a piecewise polynomial (pp) structure from sample points
+BREAKS and...
 
-@DOCSTRING(unmkpp)
+@ref{XREFunmkpp, , @code{unmkpp}}: Extract the components of a piecewise polynomial structure PP.
 
-@DOCSTRING(ppval)
+@ref{XREFppval, , @code{ppval}}: Evaluate the piecewise polynomial structure PP at the points XI.
 
-@DOCSTRING(ppder)
+@ref{XREFppder, , @code{ppder}}: Compute the piecewise M-th derivative of a piecewise polynomial struct
+PP.
 
-@DOCSTRING(ppint)
+@ref{XREFppint, , @code{ppint}}: Compute the integral of the piecewise polynomial struct PP.
 
-@DOCSTRING(ppjumps)
+@ref{XREFppjumps, , @code{ppjumps}}: Evaluate the boundary jumps of a piecewise polynomial.
 
 @node Miscellaneous Functions
 @section Miscellaneous Functions
 
-@DOCSTRING(poly)
+@ref{XREFpoly, , @code{poly}}: If A is a square N-by-N matrix, 'poly (A)' is the row vector of the
+coefficie...
 
-@DOCSTRING(polyout)
+@ref{XREFpolyout, , @code{polyout}}: Display a formatted version of the polynomial C.
 
-@DOCSTRING(polyreduce)
+@ref{XREFpolyreduce, , @code{polyreduce}}: Reduce a polynomial coefficient vector to a minimum number of terms by
+stripp...
diff -r 11a8c8e0ad14 -r fade650e869d doc/interpreter/preface.txi
--- a/doc/interpreter/preface.txi	Tue Mar 30 21:57:59 2021 +0200
+++ b/doc/interpreter/preface.txi	Tue Mar 30 22:08:44 2021 +0200
@@ -160,7 +160,8 @@
 text for Octave or any of its packages.  See the help text below on how to
 use @code{citation}.
 
-@DOCSTRING(citation)
+@ref{XREFcitation, , @code{citation}}: Display instructions for citing GNU Octave or its packages in
+publications.
 
 @node How You Can Contribute to Octave
 @unnumberedsec How You Can Contribute to Octave
diff -r 11a8c8e0ad14 -r fade650e869d doc/interpreter/quad.txi
--- a/doc/interpreter/quad.txi	Tue Mar 30 21:57:59 2021 +0200
+++ b/doc/interpreter/quad.txi	Tue Mar 30 22:08:44 2021 +0200
@@ -153,19 +153,25 @@
 @end group
 @end example
 
-@DOCSTRING(quad)
+@ref{XREFquad, , @code{quad}}: Numerically evaluate the integral of F from A to B using Fortran
+routines fro...
 
-@DOCSTRING(quad_options)
+@ref{XREFquad_options, , @code{quad_options}}: Query or set options for the function 'quad'.
 
-@DOCSTRING(quadv)
+@ref{XREFquadv, , @code{quadv}}: Numerically evaluate the integral of F from A to B using an adaptive
+Simpson'...
 
-@DOCSTRING(quadl)
+@ref{XREFquadl, , @code{quadl}}: Numerically evaluate the integral of F from A to B using an adaptive
+Lobatto ...
 
-@DOCSTRING(quadgk)
+@ref{XREFquadgk, , @code{quadgk}}: Numerically evaluate the integral of F from A to B using adaptive
+Gauss-Kronr...
 
-@DOCSTRING(quadcc)
+@ref{XREFquadcc, , @code{quadcc}}: Numerically evaluate the integral of F from A to B using doubly-adaptive
+Clen...
 
-@DOCSTRING(integral)
+@ref{XREFintegral, , @code{integral}}: Numerically evaluate the integral of F from A to B using adaptive
+quadrature.
 
 Sometimes one does not have the function, but only the raw (x, y) points from
 which to perform an integration.  This can occur when collecting data in an
@@ -215,14 +221,17 @@
 to select the best distribution.  In any case, one must remain aware of this
 issue when using @code{trapz}.
 
-@DOCSTRING(trapz)
+@ref{XREFtrapz, , @code{trapz}}: Numerically evaluate the integral of points Y using the trapezoidal
+method.
 
-@DOCSTRING(cumtrapz)
+@ref{XREFcumtrapz, , @code{cumtrapz}}: Cumulative numerical integration of points Y using the trapezoidal
+method.
 
 @node Orthogonal Collocation
 @section Orthogonal Collocation
 
-@DOCSTRING(colloc)
+@ref{XREFcolloc, , @code{colloc}}: Compute derivative and integral weight matrices for orthogonal
+collocation.
 
 Here is an example of using @code{colloc} to generate weight matrices
 for solving the second order differential equation
@@ -320,9 +329,9 @@
 @end group
 @end example
 
-@DOCSTRING(dblquad)
+@ref{XREFdblquad, , @code{dblquad}}: Numerically evaluate the double integral of F.
 
-@DOCSTRING(triplequad)
+@ref{XREFtriplequad, , @code{triplequad}}: Numerically evaluate the triple integral of F.
 
 The recursive algorithm for quadrature presented above is referred to as
 @qcode{"iterated"}.  A separate 2-D integration method is implemented in the
@@ -333,16 +342,19 @@
 certain functions this method can be faster than the 2-D iteration used in the
 other functions above.
 
-@DOCSTRING(quad2d)
+@ref{XREFquad2d, , @code{quad2d}}: Numerically evaluate the two-dimensional integral of F using adaptive
+quadrat...
 
 Finally, the functions @code{integral2} and @code{integral3} are provided
 as general 2-D and 3-D integration functions.  They will auto-select between
 iterated and tiled integration methods and, unlike @code{dblquad} and
 @code{triplequad}, will work with non-rectangular integration domains.
 
-@DOCSTRING(integral2)
+@ref{XREFintegral2, , @code{integral2}}: Numerically evaluate the two-dimensional integral of F using adaptive
+quadrat...
 
-@DOCSTRING(integral3)
+@ref{XREFintegral3, , @code{integral3}}: Numerically evaluate the three-dimensional integral of F using adaptive
+quadr...
 
 The above integrations can be fairly slow, and that problem increases
 exponentially with the dimensionality of the integral.  Another possible
diff -r 11a8c8e0ad14 -r fade650e869d doc/interpreter/set.txi
--- a/doc/interpreter/set.txi	Tue Mar 30 21:57:59 2021 +0200
+++ b/doc/interpreter/set.txi	Tue Mar 30 22:08:44 2021 +0200
@@ -26,9 +26,9 @@
 However, it isn't necessary to explicitly create a set as all of the functions
 which operate on sets will convert their input to a set before proceeding.
 
-@DOCSTRING(unique)
+@ref{XREFunique, , @code{unique}}: Return the unique elements of X.
 
-@DOCSTRING(uniquetol)
+@ref{XREFuniquetol, , @code{uniquetol}}: Return the unique elements of A within tolerance TOL.
 
 @menu
 * Set Operations::
@@ -57,14 +57,15 @@
 efficient and is of order O(log2(n)) which is preferable to the @code{find}
 function which is of order O(n).
 
-@DOCSTRING(intersect)
+@ref{XREFintersect, , @code{intersect}}: Return the unique elements common to both A and B.
 
-@DOCSTRING(union)
+@ref{XREFunion, , @code{union}}: Return the unique elements that are in either A or B.
 
-@DOCSTRING(setdiff)
+@ref{XREFsetdiff, , @code{setdiff}}: Return the unique elements in A that are not in B.
 
-@DOCSTRING(setxor)
+@ref{XREFsetxor, , @code{setxor}}: Return the unique elements exclusive to sets A or B.
 
-@DOCSTRING(ismember)
+@ref{XREFismember, , @code{ismember}}: Return a logical matrix TF with the same shape as A which is true (1) if
+the ...
 
-@DOCSTRING(powerset)
+@ref{XREFpowerset, , @code{powerset}}: Compute the powerset (all subsets) of the set A.
diff -r 11a8c8e0ad14 -r fade650e869d doc/interpreter/stats.txi
--- a/doc/interpreter/stats.txi	Tue Mar 30 21:57:59 2021 +0200
+++ b/doc/interpreter/stats.txi	Tue Mar 30 22:08:44 2021 +0200
@@ -62,28 +62,30 @@
 which all summarize a data set with just a single number corresponding to
 the central tendency of the data.
 
-@DOCSTRING(mean)
+@ref{XREFmean, , @code{mean}}: Compute the mean of the elements of the vector X.
 
-@DOCSTRING(median)
+@ref{XREFmedian, , @code{median}}: Compute the median value of the elements of the vector X.
 
-@DOCSTRING(mode)
+@ref{XREFmode, , @code{mode}}: Compute the most frequently occurring value in a dataset (mode).
 
 Using just one number, such as the mean, to represent an entire data set may
 not give an accurate picture of the data.  One way to characterize the fit is
 to measure the dispersion of the data.  Octave provides several functions for
 measuring dispersion.
 
-@DOCSTRING(bounds)
+@ref{XREFbounds, , @code{bounds}}: Return the smallest and largest values of the input data X.
 
-@DOCSTRING(range)
-
-@DOCSTRING(iqr)
+@ref{XREFrange, , @code{range}}: Return the range, i.e., the difference between the maximum and the
+minimum of...
 
-@DOCSTRING(mad)
+@ref{XREFiqr, , @code{iqr}}: Return the interquartile range, i.e., the difference between the upper
+and lo...
 
-@DOCSTRING(meansq)
+@ref{XREFmad, , @code{mad}}: Compute the mean or median absolute deviation of the elements of X.
 
-@DOCSTRING(std)
+@ref{XREFmeansq, , @code{meansq}}: Compute the mean square of the elements of the vector X.
+
+@ref{XREFstd, , @code{std}}: Compute the standard deviation of the elements of the vector X.
 
 In addition to knowing the size of a dispersion it is useful to know the shape
 of the data set.  For example, are data points massed to the left or right
@@ -91,22 +93,25 @@
 of the data set.  Octave can also calculate moments allowing arbitrary shape
 measures to be developed.
 
-@DOCSTRING(var)
+@ref{XREFvar, , @code{var}}: Compute the variance of the elements of the vector X.
 
-@DOCSTRING(skewness)
+@ref{XREFskewness, , @code{skewness}}: Compute the sample skewness of the elements of X.
 
-@DOCSTRING(kurtosis)
+@ref{XREFkurtosis, , @code{kurtosis}}: Compute the sample kurtosis of the elements of X.
 
-@DOCSTRING(moment)
+@ref{XREFmoment, , @code{moment}}: Compute the P-th central moment of the vector X.
 
-@DOCSTRING(quantile)
+@ref{XREFquantile, , @code{quantile}}: For a sample, X, calculate the quantiles, Q, corresponding to the
+cumulative ...
 
-@DOCSTRING(prctile)
+@ref{XREFprctile, , @code{prctile}}: For a sample X, compute the quantiles, Q, corresponding to the
+cumulative pro...
 
 A summary view of a data set can be generated quickly with the
 @code{statistics} function.
 
-@DOCSTRING(statistics)
+@ref{XREFstatistics, , @code{statistics}}: Return a vector with the minimum, first quartile, median, third
+quartile, max...
 
 @node Statistics on Sliding Windows of Data
 @section Statistics on Sliding Windows of Data
@@ -118,27 +123,36 @@
 the moving average over a window of data (@code{movmean}), are already
 provided.
 
-@DOCSTRING(movfun)
+@ref{XREFmovfun, , @code{movfun}}: Apply function FCN to a moving window of length WLEN on data X.
 
-@DOCSTRING(movslice)
+@ref{XREFmovslice, , @code{movslice}}: Generate indices to slice a vector of length N in to windows of length
+WLEN.
 
-@DOCSTRING(movmad)
+@ref{XREFmovmad, , @code{movmad}}: Calculate the moving mean absolute deviation over a sliding window of
+length ...
 
-@DOCSTRING(movmax)
+@ref{XREFmovmax, , @code{movmax}}: Calculate the moving maximum over a sliding window of length WLEN on
+data X.
 
-@DOCSTRING(movmean)
+@ref{XREFmovmean, , @code{movmean}}: Calculate the moving average over a sliding window of length WLEN on
+data X.
 
-@DOCSTRING(movmedian)
+@ref{XREFmovmedian, , @code{movmedian}}: Calculate the moving median over a sliding window of length WLEN on data
+X.
 
-@DOCSTRING(movmin)
-
-@DOCSTRING(movprod)
+@ref{XREFmovmin, , @code{movmin}}: Calculate the moving minimum over a sliding window of length WLEN on
+data X.
 
-@DOCSTRING(movstd)
+@ref{XREFmovprod, , @code{movprod}}: Calculate the moving product over a sliding window of length WLEN on
+data X.
 
-@DOCSTRING(movsum)
+@ref{XREFmovstd, , @code{movstd}}: Calculate the moving standard deviation over a sliding window of length
+WLEN ...
 
-@DOCSTRING(movvar)
+@ref{XREFmovsum, , @code{movsum}}: Calculate the moving sum over a sliding window of length WLEN on data X.
+
+@ref{XREFmovvar, , @code{movvar}}: Calculate the moving variance over a sliding window of length WLEN on
+data X.
 
 @node Basic Statistical Functions
 @section Basic Statistical Functions
@@ -147,40 +161,43 @@
 initial steps to prepare a data set for further analysis.  Others provide
 different measures from those of the basic descriptive statistics.
 
-@DOCSTRING(center)
+@ref{XREFcenter, , @code{center}}: Center data by subtracting its mean.
 
-@DOCSTRING(zscore)
+@ref{XREFzscore, , @code{zscore}}: Compute the Z score of X.
 
-@DOCSTRING(histc)
+@ref{XREFhistc, , @code{histc}}: Compute histogram counts.
 
 @noindent
 @code{unique} function documented at @ref{XREFunique,,unique} is often
 useful for statistics.
 
-@DOCSTRING(nchoosek)
+@ref{XREFnchoosek, , @code{nchoosek}}: Compute the binomial coefficient of N or list all possible combinations
+of a ...
 
-@DOCSTRING(perms)
+@ref{XREFperms, , @code{perms}}: Generate all permutations of vector V with one row per permutation.
 
-@DOCSTRING(ranks)
+@ref{XREFranks, , @code{ranks}}: Return the ranks (in the sense of order statistics) of X along the first
+non-...
 
-@DOCSTRING(run_count)
+@ref{XREFrun_count, , @code{run_count}}: Count the upward runs along the first non-singleton dimension of X of
+length ...
 
-@DOCSTRING(runlength)
+@ref{XREFrunlength, , @code{runlength}}: Find the lengths of all sequences of common values.
 
 @node Correlation and Regression Analysis
 @section Correlation and Regression Analysis
 
 @c FIXME: Need Intro Here
 
-@DOCSTRING(cov)
+@ref{XREFcov, , @code{cov}}: Compute the covariance matrix.
 
-@DOCSTRING(corr)
+@ref{XREFcorr, , @code{corr}}: Compute matrix of correlation coefficients.
 
-@DOCSTRING(corrcoef)
+@ref{XREFcorrcoef, , @code{corrcoef}}: Compute a matrix of correlation coefficients.
 
-@DOCSTRING(spearman)
+@ref{XREFspearman, , @code{spearman}}: Compute Spearman's rank correlation coefficient RHO.
 
-@DOCSTRING(kendall)
+@ref{XREFkendall, , @code{kendall}}: Compute Kendall's TAU.
 
 @node Distributions
 @section Distributions
@@ -225,17 +242,23 @@
 @end multitable
 @end ifnottex
 
-@DOCSTRING(discrete_pdf)
+@ref{XREFdiscrete_pdf, , @code{discrete_pdf}}: For each element of X, compute the probability density function (PDF) at
+X of...
 
-@DOCSTRING(discrete_cdf)
+@ref{XREFdiscrete_cdf, , @code{discrete_cdf}}: For each element of X, compute the cumulative distribution function
+(CDF) at ...
 
-@DOCSTRING(discrete_inv)
+@ref{XREFdiscrete_inv, , @code{discrete_inv}}: For each element of X, compute the quantile (the inverse of the CDF) at
+X of ...
 
-@DOCSTRING(empirical_pdf)
+@ref{XREFempirical_pdf, , @code{empirical_pdf}}: For each element of X, compute the probability density function (PDF) at
+X of...
 
-@DOCSTRING(empirical_cdf)
+@ref{XREFempirical_cdf, , @code{empirical_cdf}}: For each element of X, compute the cumulative distribution function
+(CDF) at ...
 
-@DOCSTRING(empirical_inv)
+@ref{XREFempirical_inv, , @code{empirical_inv}}: For each element of X, compute the quantile (the inverse of the CDF) at
+X of ...
 
 @node Random Number Generation
 @section Random Number Generation
@@ -281,6 +304,8 @@
 @end multitable
 @end ifnottex
 
-@DOCSTRING(discrete_rnd)
+@ref{XREFdiscrete_rnd, , @code{discrete_rnd}}: Return a matrix of random samples from the univariate distribution which
+assu...
 
-@DOCSTRING(empirical_rnd)
+@ref{XREFempirical_rnd, , @code{empirical_rnd}}: Return a matrix of random samples from the empirical distribution
+obtained fr...
